#ifndef SBW_BROKER_REMOTE_INSTANCE
#define SBW_BROKER_REMOTE_INSTANCE

#include "Instance.h"

namespace SystemsBiologyWorkbench
{
	namespace Broker
	{
		class RemoteInstance : public Instance
		{
			/**
			* Returns the identifier for this instance on the remote broker.
			* <p>
			* @return the unique integer identifier for this instance.
			**/
		public:
			virtual int getRemoteId() = 0;
		};
	}
}

#endif

