#ifndef SBW_BROKER_SERVERSOCKET
#define SBW_BROKER_SERVERSOCKET

#include "SBW/SBWOSSocket.h"

#include <string>

namespace SystemsBiologyWorkbench

{
	namespace Broker
	{
		class ServerSocket 
		{
		public:

			ServerSocket (int nPort, std::string sHost = "");
			int getServerPort() { return m_nPort; }
			SOCKET acceptClient();
			SOCKET getSocket() { return m_nServerSocket; }
			std::string getCurrentClientAddress();

		private:
			int m_nPort;
			SOCKET m_nServerSocket;
			SOCKET m_nClientSocket;

			struct sockaddr_in oServerAddr;
			struct sockaddr_in oClientAddr;

			int m_nClientLength;

		};
	}
}


#endif
