#include <math.h>
#include <iostream.h>
#include <string>
#include <fstream.h>
#include <strstream.h>
  
#include "supergene.h"


void read_gene_name(char * fname, string * CC, int num_flux)
{
	ifstream input;
	input.open(fname);
	string s,ss;
	string process_name;

	int i=0;
	while (getline(input, s, '\n'))
	{
	     if (s.size() > 2)
	     {
		if (s[0] == '#')
		{
			// get the process name
			process_name = s;
		}
		else if (s[0] == '?')
		{
			// do nothing
		}
		else
		{
			// get a gene name
			// put it into an array type string
		     	// cout << s.size() << " \t" << s << endl;
			istrstream line( (char *) s.c_str() );
			line >> ss;
			Cap(ss);
				gene_name[i] = ss;
				sgene[i].gene_name = ss;
				sgene[i].insert(ss);
				sgene[i].process_name = process_name;
				// cout << ss.size() << " \t" << gene_name[i] << endl;
			while (line >> ss)
			{
				Cap(ss);
				sgene[i].insert(ss);
			}
			i++;
		
		}
             }
		
	}

	// number of supergenes
	num_gene = i;

	cout << " Number of Fluxes inside read_gene_name = " << num_flux << endl;
	cout << " Number of super genes = " << num_gene << endl;

	int isize = 0;
	int flag[1000] ;
	int count = 0;
	// loop over all read super genes
	for (i=0;i<num_gene;i++)
	{
	     flag[i] = 0;

	     // for each gene in the super gene cluster
	     for (int k=0; k<sgene[i].curr_gene_num; k++)
	     {
		// get gene name as well as its size
		isize = sgene[i].iso_enzyme[k].size();
		ss = sgene[i].iso_enzyme[k];
		
		// now search for its corresponding fluxes
		for (int j=0; j<num_flux;j++)
		{
			if (isize == 3)
			{
				// compare only three letters
				if (CC[j].substr(0,3) == ss.substr(0,3))
				{	
					flag[i] = 1;
					sgene[i].insert(j, CC[j]);	
				}
			}
			else if (isize > 3)
			{
				// compare only four letters
				if (CC[j].substr(0,4) == ss.substr(0,4))
				{
					flag[i] = 1;
					sgene[i].insert(j, CC[j]);
				}
			}
		}
	     } // end of each gene in the super gene cluster loop
	     if (flag[i] == 0)
	     {
		// cout << " =========== " << sgene[i].gene_name << "  =========== " << endl;
	        count++;
	     }		
	}
	//  cout << " Number of super genes  = " << num_gene << endl;
	// cout << " Number of known fluxes = " << num_gene - count  << endl;
	for (int i=0;i<num_gene;i++)
	{
		// make sure that the last node is defined gene
		while (num_gene > 0)
		{
			if (flag[num_gene-1] == 0)
			{
				num_gene--;
			}
			else if (flag[num_gene-1] == 1)
				break;
		}
		if (flag[i] == 0)
		{
			sgene[i].copy( sgene[num_gene-1]);
			num_gene--;
		}
	}
	for (int i=0;i<num_gene;i++)
		sgene[i].print();

	cout << " Final number of known supergenes = " << num_gene << endl;
	string st;
	for (int j=0; j<i-1; j++)
	{
		for (int k=j+1; k<i; k++)
		{
			if (gene_name[k] == gene_name[j])
				cout << j << ": "<< gene_name[j] << " ------ " << k << ": " << gene_name[k] << endl;
		}
	}
		
	// find all corresponding fluxes
	// find indices
	// if gene_name.size() == 3, compare 3 letters
	// if gene_name.size() >= 4, compare 4 letters
	// print out all corresponding fluxes and their indices
}
