#ifndef LPQP_SOLUTION_H
#define LPQP_SOLUTION_H

class LpQpSolution
{
  public:
	LpQpSolution();
	~LpQpSolution();

	int	iGene, jGene;
	double iGeneQP;
	double jGeneQP;			// this will be filled later at the end of calculation
	double iGeneDoubleMutantQP;
	double jGeneDoubleMutantQP; 	// this will be filled later at the end of calculation
	double ijGeneDoubleMutantLP;

	// flag: if A survives alone, B survives alone and AB die: synthetic lethality
	// but A->B dies and B->A survives
	int    flagOfInterest;
	int    howInteresting();
	void   setIJ(const int i, const int j);

};

#endif


