package edu.harvard.med.fluxorspreadsheet;

/**
 * This class is intended to handle reaction flux limits. A flux limit value
 * is either a number ({@link Float}) or a string representing an infinite
 * value ("-INF" or "INF").
 * This class is not yet used. Flux limits are currently implemented in the
 * code as Strings.
 */

class FluxLimit {
    String fluxLimit;

    /**
     * Get the FluxLimit value.
     * @return the FluxLimit value.
     */
    public String getFluxLimit() {
	return fluxLimit;
    }

    /**
     * Set the FluxLimit value.
     * @param newFluxLimit The new FluxLimit value.
     */
    public void setFluxLimit(String newFluxLimit) {
	this.fluxLimit = newFluxLimit;
    }

    
    FluxLimit(String limit ){
	this.fluxLimit = limit;
    }
    
    public String toString() {
	return this.fluxLimit;
    }
}
