package edu.harvard.med.fluxorspreadsheet;
import java.lang.Exception;
/**
 * FluxorException.java
 *
 *
 * Created: Mon Jul  5 18:57:35 2004
 *
 * @author <a href="mailto:">Aaron Brandes</a>
 * @version 1.0
 */


/**
 * This class provides a common high level {@link Exception} for classes
 * in the fluxorspreadsheet package.
 */

public class FluxorException extends Exception {
    public FluxorException(Throwable e) {
	super(e.getMessage());
	
    } // FluxorException constructor

    public FluxorException(String message) {
	super( message );
    }
} // FluxorException
