#ifndef SBW_RECEIVER
#define SBW_RECEIVER

#include "SBW/DataBlockWriter.h"
#include "SBW/DataBlockReader.h"

namespace SystemsBiologyWorkbench
{
	namespace Broker 
	{
		/**
		* The Receiver interface is the interface that must be implemented by
		* the object designated to process messages sent to a module.
		*
		* @author Andrew Finney
		* @author $Author: wrindone $
		* @version $Revision: 1.5 $
		*/
		class Receiver
		{
		public:
			DataBlockWriter *receive(int fromModuleId, int serviceId, 
				int methodId, DataBlockReader *args);
		};
	}
}
#endif
