#ifndef SBW_SBW
#define SBW_SBW

#include "SBW/SBWOSSocket.h"
#include "SBW/SBWRPC.h"

#include <string>
#include <vector>

namespace SystemsBiologyWorkbench
{
	namespace Broker
	{
		class SBWBrokerRPC;
		class SBW
		{
		public:
			static std::vector<std::string> getServiceNamesFromModule(int moduleId);
			static std::string normalizeCategoryName(std::string category);
			static SBWRPC *getInternalAPI();
			static void setInternalAPI(SBWBrokerRPC *r);
		private:
			static SBWBrokerRPC *rpc;
		};
	}
}

#endif
