// number of fluxes (columns)
int nx=0;

// objective function
double    *c=NULL;
double    *x=NULL;

double  *xupp=NULL;
char   *ixupp=NULL;

double  *xlow=NULL;
char   *ixlow=NULL;

int nnzQ=0;
int    *irowQ=NULL; 
int    *jcolQ=NULL;
double     *dQ=NULL;


// RHS vector
double *bA=NULL;
int my         = 0;
int nnzA       = 0;
int * irowA    = NULL;
int * jcolA    = NULL;
double * dA    = NULL;

// number of rows of inequality constraints
int mz   = 0;
double *clow=NULL;
char  *iclow=NULL;

double *cupp=NULL;
char  *icupp=NULL;

int nnzC = 0;
int   *irowC=NULL;
int   *jcolC=NULL;
double   *dC=NULL;

// hold row name (metabolites) and column name (flux name)
string *Cname, *Rname;

extern void sort(int * , int * , int , int , double *);

void read_gene_name(char * name, string * CC, int nnn);
string gene_name[1000];
Supergene sgene[1000];
int num_gene =0;
double growth_valueL=0.0, growth_valueQ=0.0;

void compare_I(int * x, int * y, int k, string s)
{
	for (int i=0; i< k; i++)
		if (x[i] != y[i])
			cout << s << " :" << i << " (" << x[i] << "," << y[i] << ") " << endl; 
}

void compare_C(char * x, char * y, int k, string s)
{
	for (int i=0; i< k; i++)
		if (x[i] != y[i])
			cout << s << " :" << i << " (" << (char ) x[i] << "," << y[i] << ") " << endl;
}

void compare_D(double * x, double * y, int k, string s)
{
	for (int i=0; i< k; i++)
		if (fabs(x[i] -  y[i]) > 0.0001)
			cout << s << " :" << i <<" (" << x[i] << "," << y[i] << ") " << endl;
}

int search(string * name, const int length, const string target)
{
	for (int i=0; i<length; i++)
	{
		if (target == name[i])
		       return i;
	}
	return -1;
}	
