package edu.harvard.med.fluxorspreadsheet;

/**
 * The MetabolismSpecies class defines the interface of methods necessary to 
 * get and set data found in a row of a Species GUI panel.
 * It is implemented by the {@link SpeciesRow} class.
 */

public interface MetabolismSpecies {
    public String getSpeciesID();
    public String getSpeciesName( );
    public String getSpeciesCompartment( );
    public String getSpeciesType( );
 
    public void setSpeciesID( String sid ) ;
    public void setSpeciesName( String speciesName );
    public void setSpeciesCompartment( String speciesCompartment );
    public void setSpeciesType( String speciesType );
}

    
 
