#ifndef SBW_BROKER_DEFINES_H
#define SBW_BROKER_DEFINES_H

#include <iostream>

#define BROKER_MODULE					-1
#define SYSTEM_SERVICE					-1
#define DEFAULT_BROKER_STARTUP_WAIT		600

#define GET_SERVICES_METHOD				0
#define GET_METHODS_METHOD				1
#define ON_OTHER_MODULE_INSTANCE_SHUTDOWN_METHOD 2
#define SHUTDOWN_METHOD					3
#define GET_METHOD_HELP_METHOD			4
#define ON_OTHER_MODULE_INSTANCE_STARTUP_METHOD 5
#define ON_REGISTRATION_CHANGE_METHOD	6

#define REPLY_CODE						0
#define SEND_CODE						1
#define CALL_CODE						2
#define EXCEPTION_CODE					3

#define DISCONNECT_MESSAGE				-1

#define STATUS_NORMAL					0
#define STATUS_BAD_ARG					1
#define STATUS_BROKER_RUNNING			2
#define STATUS_CANNOT_START				3
#define STATUS_CANNOT_LOAD_KEY			4
#define STATUS_CANNOT_SHUTDOWN			5

#define UNIQUE							0
#define SELF_MANAGED					1

#define DEFAULT_REGISTRY_FILENAME		"sbwreg.xml"

#define ON_OTHER_MODULE_INSTANCE_STARTUP_METHOD  5
#define ON_OTHER_MODULE_INSTANCE_SHUTDOWN_METHOD 2

#define CREATE_STRING(x,target)\
	std::stringstream strstr;\
	strstr << x;\
	target = x.str();\

#endif

#ifndef UNREFERENCED_PARAMETER
#define UNREFERENCED_PARAMETER(x) (x)
#endif
