#ifndef SBW_STRING_UTIL
#define SBW_STRING_UTIL

#include <string>
#include <vector>

using namespace std;

namespace SystemsBiologyWorkbench
{
	namespace Broker
	{
		class StringUtil
		{
		public:
			static bool empty(std::string s)
			{
				return (s == "" || s.length() == 0);
			}

			static std::vector<int> parseRange(std::string rangeStr);

			/** 
			* Method to return a hex representation of a byte array.
			**/
			static std::string toHex(char data[], int nLength);
			static std::vector<std::string> parseReply(char *oReply, int nLength);

		private:
			static int findNextBorder(char *oString, int nLength, int nStart, int nEnd);
			/** std::string used for toHex(). **/
			static  std::string HEX;
		};
	}
}
#endif
