/** 
  * Filename    : NomImpl.h 
  * Description : SBW interface to NOM
  * Author(s)   : Sri Paladugu <spaladug@kgi.edu> 
  * Author(s)   : Herbert Sauro <Herbert_Sauro@kgi.edu> 
  * Organization: Keck Graduate Institute (KGI) 
  * Created     : 
  * Revision    : $Id: NOMClipboardImpl.h,v 1.1 2004/09/17 00:35:34 zucker Exp $ 
  * Source      : $Source: /var/lib/cvs/Biospice/FluxorPipeline/Metatool/src/SBW-NOM/NOM/include/NOMClipboardImpl.h,v $ 
  * 
  * Copyright 2004 Keck Graduate Institute 
  * 
  * This library is free software; you can redistribute it and/or modify it 
  * under the terms of the GNU Lesser General Public License as published 
  * by the Free Software Foundation; either version 2.1 of the License, or 
  * any later version. 
  * 
  * This library is distributed in the hope that it will be useful, but 
  * WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF 
  * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  The software and 
  * documentation provided hereunder is on an "as is" basis, and the 
  * California Institute of Technology and Japan Science and Technology 
  * Corporation have no obligations to provide maintenance, support, 
  * updates, enhancements or modifications.  In no event shall the 
  * California Institute of Technology or the Japan Science and Technology 
  * Corporation be liable to any party for direct, indirect, special, 
  * incidental or consequential damages, including lost profits, arising 
  * out of the use of this software and its documentation, even if the 
  * California Institute of Technology and/or Japan Science and Technology 
  * Corporation have been advised of the possibility of such damage.  See 
  * the GNU Lesser General Public License for more details. 
  * 
  * You should have received a copy of the GNU Lesser General Public License 
  * along with this library; if not, write to the Free Software Foundation, 
  * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA. 
  * 
  * The original code contained here was initially developed by: 
  * 
  *     Sri Paladugu 
  *     The Systems Biology Markup Language Development Group 
  *     ERATO Kitano Symbiotic Systems Project 
  *     Keck Graduate Institute of Applied Life Sciences 
  *     535 Watson Drive 
  *     Claremont, CA, 91711, USA 
  * 
  *     http://www.cds.caltech.edu/erato 
  * 	http://www.kgi.edu
  *     mailto:sysbio-team@caltech.edu 
  * Contributor(s): 
  */ 
#ifndef SBWC_H
#include "SBWC.h"
#endif
#if defined(WIN32)
	#ifdef EXPORT
		#define EX_API __declspec( dllexport )
	#else
		#define EX_API __declspec( dllimport )
	#endif
	EX_API int addNOMClipboardImpl();
#elif defined(linux)
	int addNOMClipboardImpl();
#endif

